Bulk item setup (Multiple)

Use this API for initial item setup and maintenance.

This API updates items in bulk, allowing you to update up to 10,000 items at once. Updates with more than 10,000 items are not supported. To ensure optimal feed processing time, keep feed sizes below 25 MB, except for FITMENT_ACES and FITMENT_PIES feeds, which support files up to 50 MB.

The bulk item setup API supports requests in two formats: file as an attachment or provide the JSON payload directly in the request body. The API supports all feed types and spec versions identified in the Item spec: Versioning and diff reporting article. Make sure to include the correct feed type as a query parameter in your request. Available feed types:

  • MP_ITEM: Set up a new seller fulfilled item.
  • MP_WFS_ITEM: Set up a new Walmart fulfilled item.
  • MP_MAINTENANCE: Update existing items in your catalog.
  • MP_ITEM_MATCH: Use item setup info from an existing Walmart catalog item to set up your own offer.
  • OMNI_WFS: Convert a seller fulfilled item to Walmart fulfilled item.
  • FITMENT_ACES/FITMENT_PIES: For automotive fitment items. Requires a zip file in the request body.
  • DELETE_ITEM: Delete seller-fulfilled items from your catalog.

To create or manage variant groups, use feedType=MP_ITEM or feedType=MP_MAINTENANCE. In the Visible.[ProductType] block for each item, include variantGroupId, isPrimaryVariant, and variantAttributeNames. Use the following values:

  • variantGroupId: The group ID
  • isPrimaryVariant: Use Yes for exactly one item per group and No for all others
  • variantAttributeNames: An array of up to three attribute names (for example, color and size)

Items that share the same variantGroupId within a single feed are grouped together.

Download and review the request body samples for guidance on formatting the updated feed file before uploading it for processing.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

The type of feed specifies the nature of the update. Select an option from the drop-down list based on the item specification version and the type of update you need to perform. Example: MP_WFS_ITEM indicates the new WFS Item set up.

Body Params

The request body must contain either the feed file or an inline file content provided as a JSON body corresponding to the selected feedType

file

The file to upload. Download the required feed type specification file, update the content for the item setup, and upload it here. Refer to the sample files for guidance on correct JSON formatting before you upload the feed file. Set Content-Type: 'multipart/form-data' in the request headers.

string

Input must be a JSON object structured according to the selected feedType. Set Content-Type: application/json in the request headers.

Headers
string
enum
required

The feed payload can be submitted either as a file attachment or as a JSON payload in the request body. When the payload is sent as a file attachment, the Content-Type must be 'multipart/form-data'. When the payload is provided as a JSON payload in the request body, the Content-Type must be 'application/json'

Allowed:
string
required

Access token obtained from the Token API. This is required for authenticating requests to Walmart Marketplace APIs.

string

A unique ID to identify the consumer request by channel. Use the Consumer Channel Type received during onboarding.

string
required

A unique ID that identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.

string
required

Specifies the name of the Walmart service being called.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml